* {
	font-family: 'Open Sans', Arial, sans-serif;
	box-sizing: border-box;
	font-size: 14px;
	margin: 0;
	color: #343b51;
}

body {
	min-height: calc(100vh - 35px);
	margin-bottom: 35px;
	transition: background-color .2s ease;
}

h2 {
	font-size: 18px;
	text-align: center;
	margin-bottom: 25px;
}

input,
button,
a.btn,
textarea {
	width: 100%;
	padding: 13px 13px;
	background-color: #f3f4f6;
	outline: none;
	border: none;
	border-radius: 3px;
	transition: background-color .2s ease, color .2s ease;
}

input[type=date] {
	width: 131px;
}

textarea {
	resize: none;
}

.dropdown {
	position: relative;
	margin-bottom: 10px;
}

.dropdown span.placeholder {
	color: #777;
}

.dropdown span {
	display: block;
	width: 100%;
	padding: 13px 13px;
	background-color: #f3f4f6;
	outline: none;
	border: none;
	transition: background-color .2s ease, color .2s ease;
}

.dropdown-box {
	position: absolute;
	display: none;
	top: 100%;
	left: 0;
	width: 100%;
	padding: 0;
	border-radius: 3px;
	overflow: hidden;
	box-shadow: 0 1px 10px rgba(0,0,0,.1);
	background-color: #f3f4f6;
}

.dropdown-box.show {
	display: block;
}

.dropdown-box li {
	display: block;
	cursor: pointer;
	width: 100%;
	padding: 13px 13px;
	color: #777;
	background-color: #f3f4f6;
	list-style-type: none;
	transition: background-color .2s ease, color .2s ease;
}

.dropdown-box li:hover {
	background-color: #dee0e4;
}

.two-fields input {
	float: left;
	width: 48%;
}

.two-fields input:last-child {
	float: right;
}

.two-fields::after {
	content: "";
	display: table;
	clear: both;
}

a.btn {
	display: block;
	text-align: center;
	text-decoration: none;
}

input[type="submit"],
a.btn,
button {
	background-color: #2f69f8;
	color: #fff;
	cursor: pointer;
}

input[type="submit"]:hover,
a.btn:hover,
button:hover {
	background-color: #7099ff;
}

input[type="submit"].second,
a.btn.second,
button.second {
	background-color: #b9b9b9;
}

input[type="submit"].second:hover,
a.btn.second:hover,
button.second:hover {
	background-color: #909090;
}

.two-btns input[type="submit"],
.two-btns a.btn,
.two-btns button {
	float: left;
	width: 48%;
}

.two-btns input[type="submit"]:last-child,
.two-btns a.btn:last-child,
.two-btns button:last-child {
	float: right;
}

.two-btns::after {
	content: "";
	display: table;
	clear: both;
}

a:hover {
	text-decoration: none;
}

p, textarea {
	line-height: 25px;
}

.notice {
	width: 100%;
	padding: 13px;
	background-color: #f3f4f6;
}

.notice.error {
	background-color: #FFC107;
	color: #fff;
}

form input,
form .notice,
form button {
	margin-bottom: 10px;
}

.popup-cont {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-color: rgba(0,0,0,.7);
}

.pop-box {
	position: absolute;
	top: 50%;
	left: 50%;
	width: 400px;
	background-color: #fff;
	border-radius: 3px;
	padding: 15px;
	transform: translate(-50%, -50%);
}

.ctx-cont {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
}

.ctx-box {
	position: absolute;
	background-color: #fff;
	border-radius: 3px;
	box-shadow: 0 1px 20px rgba(0,0,0,.15);
	padding: 5px 0;
}

.ctx-box a {
	display: block;
	text-decoration: none;
	padding: 5px 10px;
	transition: background-color .2s ease;
}

.ctx-box a:hover {
	background-color: #f1f1f1;
}

.dark-mode .ctx-box {
	background-color: #434344;
}

.dark-mode .ctx-box a:hover {
	background-color: #4c4c4e;
}

.footer-text {
	position: fixed;
	bottom: 10px;
	margin: 0;
	left: 50%;
	transform: translateX(-50%);
	font-size: 13px;
}

@keyframes loader {
	from {
		transform: translateX(0);
	}
	to {
		transform: translateX(100vw);
	}
}

.loader {
	position: fixed;
	display: none;
	top: 0;
	left: 0;
	width: 100%;
	height: 1px;
	z-index: 999;
}

.loader.active {
	display: block;
}

.loader::after {
	content: "";
	position: absolute;
	display: block;
	top: 0;
	left: -3%;
	width: 6%;
	height: 100%;
	background-color: #343b51;
}

.dark-mode .loader::after {
	background-color: #e6e6e6;
}

.loader.active::after {
	animation-name: loader;
	animation-duration: 1s;
	animation-timing-function: cubic-bezier(0.68, 0.01, 0.28, 1);
	animation-direction: alternate;
	animation-iteration-count: infinite;
}

nav.nav {
	position: relative;
	width: 100%;
	padding: 0 8px;
	margin-bottom: 20px;
}

nav.nav a {
	position: relative;
	display: block;
	float: left;
	text-decoration: none;
	padding: 15px 8px;
	background-color: transparent;
	transition: background-color .2s ease;
	overflow: hidden;
}

nav.nav a::before {
	content: "";
	position: absolute;
	display: block;
	top: 0;
	left: 0;
	width: 100%;
	height: 3px;
	transform: translateY(-100%);
	transition: transform .2s ease;
	background-color: #343b51;
}

nav.nav a:hover::before,
nav.nav a.active::before {
	transform: translateY(0%);
}

.nav-left {
	float: left;
}

.nav-right {
	float: right;
}

#burger {
	display: none;
	float: right;
}

@media (max-width: 500px) {
	#burger {
		display: block;
	}

	.nav-right {
		display: none;
	}

	.nav-open .nav-right {
		position: absolute;
		display: block;
		top: 100%;
		left: 0;
		width: 100%;
		background-color: #fff;
		box-shadow: 0 5px 10px -4px rgba(0,0,0,.2);
		z-index: 3;
		padding: 8px 0;
	}

	.dark-mode .nav-open .nav-right {
		background-color: #3e3e40;
	}

	.nav-open .nav-right a {
		float: none;
		padding-left: 16px;
	}

	.nav-open .nav-right a::before {
		width: 3px;
		height: 100%;
		transform: translateX(-100%);
	}

	.nav-open .nav-right a:hover::before {
		transform: translateX(0%);
	}

}

.clearfix::after {
	content: "";
	display: table;
	clear: both;
}

.dark-mode {
	background-color: #3e3e40;
}

.dark-mode * {
	color: #e6e6e6;
}

.dark-mode nav.nav a::before {
	background-color: #e6e6e6;
}

.login-box {
	position: fixed;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	width: 280px;
}

/* TASKS */
.tasks-box {
	position: fixed;
	max-height: calc(100% - 46px);
	width: 220px;
	left: 0;
	transform: translateY(100%);
	bottom: 0;
	transition: transform .2s ease;
	z-index: 20;
	padding: 10px;
	cursor: pointer;
}

.tasks-box.show {
	transform: translateY(0%);
}

.tasks-box.small-hide {
	transform: translateY(calc(100% - 50px));
}

.task-closer {
	position: relative;
	width: 100%;
	height: 30px;
	background-color: #f3f4f6;
	border-radius: 3px;
}

.task-closer span {
	position: absolute;
	top: 50%;
	left: 50%;
	width: 10px;
	height: 10px;
	border-right: 3px solid #cccccc;
	border-bottom: 3px solid #cccccc;
	transform: translate(-50%, calc(-50% - 1px)) rotate(45deg);
	transition: transform .2s ease;
}

.task-closer:hover span {
	transform: translate(-50%, calc(-50% + 1px)) rotate(45deg);
}

.small-hide .task-closer span {
	transform: translate(-50%, calc(-50% + 6px)) rotate(-135deg);
}

.small-hide .task-closer:hover span {
	transform: translate(-50%, calc(-50% + 4px)) rotate(-135deg);
}

.task-box {
	position: relative;
	width: 100%;
	padding: 26px 10px 10px 10px;
	background-color: #f3f4f6;
	border-radius: 3px;
	margin-top: 10px;
	overflow: hidden;
}

.task-box.has-error {
	padding-bottom: 0;
}

.task-box:first-child {
	margin-top: 0;
}

.task-box * {
	color: #343b51;
}

.task-box b {
	position: absolute;
	top: 10px;
	left: 10px;
	font-size: 12px;
	color: #8e8e8e;
	z-index: 2;
}

.task-box span {
	position: relative;
	display: block;
	text-align: right;
	z-index: 2;
}

.task-loader {
	position: absolute;
	top: 0;
	left: 0;
	width: 0%;
	height: 3px;
	background-color: #cccccc;
	z-index: 1;
	transition: width .2s ease;
}

span.task-error {
	background-color: #FFC107;
	margin: 10px -10px 0 -10px;
	padding: 5px 10px;
	text-align: left;
}